mia-2dimagecreator
Prev | Analysis, filtering, combining, and segmentation of 2D images | Next

### mia-2dimagecreator

#### Sysnopis:

`mia-2dimagecreator` {-o `io`} {-j `factory`} [ `options` ...]

#### Description:

This program is used to create test images.

#### Options:

-o, --out-file=(output, required); io

  output file for create object. For supported file types see Plugin type: 2dimage/io

-s, --size=[128,128]; 2dbounds

  size of the object

-r, --repn=ubyte; dict

  input pixel type

  bit: | binary data
  sbyte: | signed 8 bit
  ubyte: | unsigned 8 bit
  sshort: | signed 16 bit
  ushort: | unsigned 16 bit
  sint: | signed 32 bit
  uint: | unsigned 32 bit
  slong: | signed 64 bit
  ulong: | unsigned 64 bit
  float: | floating point 32 bit
  double: | floating point 64 bit
  none: | no pixel type defined

-j, --object=(required); factory

  object to be created. For supported plug-ins see Plugin type: 2dimage/creator

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Create a 2D image containing a lattic with standard parameters of size <64,128> and pixel type 'float' and save the result to lattic.v

    mia-2dimagecreator -o lattic.v -s '<64,128>' -r float -j lattic

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dimagecombiner | Home | mia-2dimagefilter